#
# spec file for package perl-Ogg-Vorbis-Header
#
# Copyright (c) 2019 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


Name:           perl-Ogg-Vorbis-Header
Version:        0.10
Release:        lp150.1.1
#Upstream:  This program is free software; you can redistribute it and/or modify it under the terms of the GNU General Public License as published by the Free Software Foundation; either version 2 of the License, or (at your option) any later version. A copy of this license is included with this module (LICENSE.GPL). A library for editing Ogg Vorbis comments is distributed with this library as unmodified source code (inc/vcedit.h, inc/vcedit.c, inc/i18n.h). This licensed under the GNU Library General Public License (LGPL). A copy of this license is included with this module (inc/LICENSE.LGPL).
%define cpan_name Ogg-Vorbis-Header
Summary:        An object-oriented interface to Ogg Vorbis
License:        GPL-2.0-or-later
Group:          Development/Libraries/Perl
Url:            https://metacpan.org/release/%{cpan_name}
Source0:        https://cpan.metacpan.org/authors/id/D/DA/DAVECROSS/%{cpan_name}-%{version}.tar.gz
Source1:        cpanspec.yml
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  perl
BuildRequires:  perl-macros
BuildRequires:  perl(Inline) >= 0.44
BuildRequires:  perl(Inline::C)
BuildRequires:  perl(Inline::MakeMaker)
Requires:       perl(Inline) >= 0.44
Requires:       perl(Inline::C)
%{perl_requires}
# MANUAL BEGIN
BuildRequires:  gcc
BuildRequires:  libogg-devel
BuildRequires:  libvorbis-devel
BuildRequires:  make
# MANUAL END

%description
This module presents an object-oriented interface to Ogg Vorbis files which
allows user to view Vorbis info and comments and to modify or add comments.

%prep
%setup -q -n %{cpan_name}-%{version}
find . -type f ! -name \*.pl -print0 | xargs -0 chmod 644

%build
perl Makefile.PL INSTALLDIRS=vendor OPTIMIZE="%{optflags}"
make %{?_smp_mflags}

%check
make test

%install
%perl_make_install
%perl_process_packlist
%perl_gen_filelist

%files -f %{name}.files
%defattr(-,root,root,755)
%doc Changes README
%license LICENSE.GPL

%changelog
* Tue Sep  3 2019 Tina Mueller <tina.mueller@suse.com>
- Remove perl-Ogg-Vorbis-Header-invalid-test.patch (not necessary anymore)
* Wed Apr  3 2019 Stephan Kulow <coolo@suse.com>
- updated to 0.10
  see /usr/share/doc/packages/perl-Ogg-Vorbis-Header/Changes
  0.04  Fri Jul 01 19:07:00 BST 2016
  - Fixed syntax errors in tests.
  0.05  Sun Jul 03 06:25:00 BST 2016
  - Packaging fixes
  0.06  Sun Mar 04 10:45:00 GMT 2018
  - Added repo details to metadata
* Thu Sep 17 2015 olaf@aepfle.de
- Require Inline::C at runtime
* Mon Jun 29 2015 malcolmlewis@opensuse.org
- Add perl-Ogg-Vorbis-Header-invalid-test.patch: Fix can't use an
  array as a reference error (RT#104869).
* Sun Jun 14 2015 malcolmlewis@opensuse.org
- Add build requires on Parse::RecDescent and also Inline::C as
  this was split from the Inline module.
* Sat Mar 19 2011 pascal.bleser@opensuse.org
- Initial version (0.03).
